%global enable_tests 0
%global module_name follow

Name:           nodejs-%{module_name}
Version:        0.11.4
Release:        2%{?dist}
Summary:        Extremely robust, fault-tolerant CouchDB changes follower

License:        ASL 2.0
URL:            https://github.com/iriscouch/follow
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
Follow (upper-case F) comes from an internal Iris Couch project used in
production for over a year. It works in the browser (beta) and is
available as an NPM module.

%prep
%setup -q -n package
rm -rf node_modules

#remove shebang
sed -i -e '/^#!\//, 1d' browser/export.js

sed -i 's\ || 0.8.x\\g' package.json

%nodejs_fixdep debug ~0.x
%nodejs_fixdep request ~2.x

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js browser lib %{buildroot}%{nodejs_sitelib}/%{module_name}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{module_name}/cli.js %{buildroot}%{_bindir}/follow

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
tap test/*.js
%endif

%files
%doc README.md LICENSE AUTHORS
%{_bindir}/follow
%{nodejs_sitelib}/%{module_name}

%changelog
* Sun Dec 28 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.11.4-2
- Initial packaging
- Fix binary file path
- Fix node engine version to 0.10.x

* Tue Dec 09 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.11.4-1
- Initial packaging

